#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  libavif-1.4.1

- Next

  libgxps-0.3.2

- Up
- Home

# libexif-0.6.26

## Introduction to libexif

The libexif package contains a library for parsing, editing, and saving EXIF data. Most digital cameras produce EXIF files, which are JPEG files with extra tags that contain information about the image. All EXIF tags described in EXIF standard 2.1 are supported.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/libexif/libexif/releases/download/v0.6.26/libexif-0.6.26.tar.bz2

- Download MD5 sum: d659a750d1be6330105de54eb3bf627a

- Download size: 2.0 MB

- Estimated disk space required: 24 MB

- Estimated build time: less than 0.1 SBU

### libexif Dependencies

#### Optional (to Build Documentation)

Doxygen-1.17.0 and Graphviz-14.1.5

## Installation of libexif

Install libexif by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --with-doc-dir=/usr/share/doc/libexif-0.6.26 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

Documentation was built and installed if you have the dependencies shown above installed. If you don't have the dependencies installed, there is a compressed tarball in the source tree `doc` directory that can be unpacked into /usr/share/doc/libexif-0.6.26.

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libexif.so
Installed Directories: /usr/include/libexif and /usr/share/doc/libexif-0.6.26

### Short Descriptions

`libexif.so` | contains functions used for parsing, editing, and saving EXIF data

- Prev

  libavif-1.4.1

- Next

  libgxps-0.3.2

- Up
- Home